gstreamer-0.12.1.2: Binding to the GStreamer open source multimedia framework.

Maintainer | gtk2hs-devel@lists.sourceforge.net Stability : alpha Portability : portable (depends on GHC)
Safe Haskell | None

Media.Streaming.GStreamer.Core.Segment

Description

# Documentation

data Segment Source

Constructors

Segment |

Fields

segmentRate :: Double
segmentAbsRate :: Double
segmentFormat :: Format
segmentFlags :: [SeekFlags]
segmentStart :: Int64
segmentStop :: Int64
segmentTime :: Int64
segmentAccum :: Int64
segmentLastStop :: Int64
segmentDuration :: Int64

Instances

Eq Segment |
Show Segment |
Storable Segment |

segmentClip :: Segment -> Format -> Int64 -> Int64 -> (Segment, Bool, Int64, Int64)Source

segmentSetDuration :: Segment -> Format -> Int64 -> Segment Source

segmentSetLastStop :: Segment -> Format -> Int64 -> Segment Source

segmentSetNewsegment :: Segment -> Bool -> Double -> Format -> Int64 -> Int64 -> Int64 -> Segment Source

segmentSetSeek :: Segment -> Double -> Format -> [SeekFlags] -> SeekType -> Int64 -> SeekType -> Int64 -> (Segment, Bool)Source

segmentToRunningTime :: Segment -> Format -> Int64 -> Int64 Source

segmentToStreamTime :: Segment -> Format -> Int64 -> Int64 Source